<template>
  <el-card class="box-card" shadow="always">
    <div slot="header" class="clearfix">
      <span>{{ title }}</span>
      <el-button-group style="float: right;">
        <el-button size="mini" icon="el-icon-back" @click="showCard">返回</el-button>
      </el-button-group>
    </div>
    <div class="body-wrapper">
      <el-form ref="form" :model="form" :rules="rules" label-width="120px" disabled>
        <div style="padding: 20px 200px">
          <el-form-item label="项目名称" prop="projectName">
            <el-input v-model="form.projectName" placeholder="请输入项目名称" />
          </el-form-item>

          <el-form-item label="项目描述" prop="projectDescription">
            <el-input v-model="form.projectDescription" type="textarea" placeholder="请输入项目描述" />
          </el-form-item>
        </div>
      </el-form>
    </div>
  </el-card>
</template>

<script>
  import { getProjectById } from '@/api/monitor/projectApi'

  export default {
    name: 'ProjectDetail',
    props: {
      data: {
        type: Object,
        default: function() {
          return {}
        }
      }
    },
    data() {
      return {
        title: '项目新增',
        // 展示切换
        showOptions: {
          data: {},
          showList: true,
          showAdd: false,
          showEdit: false,
          showDetail: false
        },
        // 保存按钮
        loadingOptions: {
          loading: false,
          loadingText: '保存',
          isDisabled: false
        },
        // 表单参数
        form: {
          id: undefined,
          projectName: undefined,
          projectDescription: undefined,
          subjectId: undefined,
          deleted: undefined
        },
        // 表单校验
        rules: {
          projectName: [
            { required: true, message: '项目名称不能为空', trigger: 'change' }
          ]
        }
      }
    },
    created() {
    },
    mounted() {
      this.getProjectById(this.data.id)
    },
    methods: {
      showCard() {
        this.$emit('showCard', this.showOptions)
      },
      /** 获取详情 */
      async getProjectById(id) {
        this.form = await getProjectById(id).then(response => {
          if (response.code === 200) {
            return response.data
          }
        })
      }
    }
  }
</script>

<style lang="scss" scoped>
  .el-card ::v-deep .el-card__body {
    height: calc(100vh - 230px);
    overflow-y: auto;
  }
  .choosedDbType{
    border: 1px solid #165DFF;
  }
</style>
